Extending Qt Creator Manual | IFindSupport

Extending Qt Creator Manual 4.5.2

# IFindSupport Class

(Core::IFindSupport)

- List of all members, including inherited members

## Public Types

enum | Result { Found, NotFound, NotYetFound }

## Public Functions

| IFindSupport()
virtual | ~IFindSupport()
virtual void | clearFindScope()
virtual void | clearHighlights() = 0
virtual QString | completedFindString() const = 0
virtual QString | currentFindString() const = 0
virtual void | defineFindScope()
virtual Result | findIncremental(const QString &txt, FindFlags findFlags) = 0
virtual Result | findStep(const QString &txt, FindFlags findFlags) = 0
virtual void | highlightAll(const QString &txt, FindFlags findFlags)
virtual void | replace(const QString &before, const QString &after, FindFlags findFlags)
virtual int | replaceAll(const QString &before, const QString &after, FindFlags findFlags)
virtual bool | replaceStep(const QString &before, const QString &after, FindFlags findFlags)
virtual void | resetIncrementalSearch() = 0
virtual FindFlags | supportedFindFlags() const = 0
virtual bool | supportsReplace() const = 0

## Signals

void | changed()

## Static Public Members

void | showWrapIndicator(QWidget *parent)

## Member Type Documentation

### enum IFindSupport::Result

## Member Function Documentation

### IFindSupport::IFindSupport()

Default constructs an instance of IFindSupport.

### `[virtual]` IFindSupport::~IFindSupport()

Destroys the instance of IFindSupport. The destructor is virtual.

### `[signal]` void IFindSupport::changed()

### `[virtual]` void IFindSupport::clearFindScope()

### `[pure virtual]` void IFindSupport::clearHighlights()

### `[pure virtual]` QString IFindSupport::completedFindString() const

### `[pure virtual]` QString IFindSupport::currentFindString() const

### `[virtual]` void IFindSupport::defineFindScope()

### `[pure virtual]` Result IFindSupport::findIncremental(const QString &txt, FindFlags findFlags)

### `[pure virtual]` Result IFindSupport::findStep(const QString &txt, FindFlags findFlags)

### `[virtual]` void IFindSupport::highlightAll(const QString &txt, FindFlags findFlags)

### `[virtual]` void IFindSupport::replace(const QString &before, const QString &after, FindFlags findFlags)

### `[virtual]` int IFindSupport::replaceAll(const QString &before, const QString &after, FindFlags findFlags)

### `[virtual]` bool IFindSupport::replaceStep(const QString &before, const QString &after, FindFlags findFlags)

### `[pure virtual]` void IFindSupport::resetIncrementalSearch()

### `[static]` void IFindSupport::showWrapIndicator(QWidget *parent)

### `[pure virtual]` FindFlags IFindSupport::supportedFindFlags() const

### `[pure virtual]` bool IFindSupport::supportsReplace() const